#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var program = require("commander");
var fs_1 = require("fs");
var config_1 = require("./config");
var messages_1 = require("./utils/messages");
program.version(config_1.config.version);
program.on('--help', function () {
    messages_1.showInfo('pi add -> Main command to add a new component');
    messages_1.showInfo('pi init -> Single time process. Creates a file where all components blueprint are stored. ');
});
program.parse(process.argv);
var piConfig = './piconfig.json';
fs_1.access(piConfig, fs_1.constants.F_OK, function (err) {
    console.log(piConfig + " " + (err ? 'does not exist' : 'exists'));
});
